Loading...
Searching...
No Matches
N_gradient_field_2d Struct Reference

`#include <N_pde.h>`

Collaboration diagram for N_gradient_field_2d:
[legend]

## Data Fields

N_array_2d * | x_array
N_array_2d * | y_array
int | cols
int | rows
double | min
double | max
double | mean
double | sum
int | nonull

## Detailed Description

Two dimensional gradient field

Definition at line 559 of file N_pde.h.

## Field Documentation

## cols

int N_gradient_field_2d::cols

Definition at line 563 of file N_pde.h.

Referenced by N_alloc_gradient_field_2d(), N_compute_gradient_field_2d(), and N_print_gradient_field_2d_info().

## max

double N_gradient_field_2d::max

Definition at line 564 of file N_pde.h.

Referenced by N_calc_gradient_field_2d_stats(), and N_print_gradient_field_2d_info().

## mean

double N_gradient_field_2d::mean

Definition at line 564 of file N_pde.h.

Referenced by N_calc_gradient_field_2d_stats(), and N_print_gradient_field_2d_info().

## min

double N_gradient_field_2d::min

Definition at line 564 of file N_pde.h.

Referenced by N_calc_gradient_field_2d_stats(), and N_print_gradient_field_2d_info().

## nonull

int N_gradient_field_2d::nonull

Definition at line 565 of file N_pde.h.

Referenced by N_calc_gradient_field_2d_stats(), and N_print_gradient_field_2d_info().

## rows

int N_gradient_field_2d::rows

Definition at line 563 of file N_pde.h.

Referenced by N_alloc_gradient_field_2d(), N_compute_gradient_field_2d(), and N_print_gradient_field_2d_info().

## sum

double N_gradient_field_2d::sum

Definition at line 564 of file N_pde.h.

Referenced by N_calc_gradient_field_2d_stats(), and N_print_gradient_field_2d_info().

## x_array

N_array_2d* N_gradient_field_2d::x_array

Definition at line 561 of file N_pde.h.

Referenced by N_alloc_gradient_field_2d(), N_calc_gradient_field_2d_stats(), N_compute_gradient_field_2d(), N_compute_gradient_field_components_2d(), N_copy_gradient_field_2d(), N_free_gradient_field_2d(), N_get_gradient_2d(), N_get_gradient_neighbours_2d(), and N_print_gradient_field_2d_info().

## y_array

N_array_2d* N_gradient_field_2d::y_array

Definition at line 562 of file N_pde.h.

Referenced by N_alloc_gradient_field_2d(), N_calc_gradient_field_2d_stats(), N_compute_gradient_field_2d(), N_copy_gradient_field_2d(), N_free_gradient_field_2d(), N_get_gradient_2d(), N_get_gradient_neighbours_2d(), and N_print_gradient_field_2d_info().

The documentation for this struct was generated from the following file:

- N_pde.h